Agents
Get an Agent overview
Get an Agent overview. The request enforces Agent roles, ownership, workspace boundaries, and lifecycle state.
GET
/
api
/
v1
/
agents
/
{agentId}
/
overview
Get an Agent overview
curl --request GET \
--url https://api.revoengine.com/api/v1/agents/{agentId}/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/agents/{agentId}/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/{agentId}/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agent": {
"agentId": "99999999-9999-4999-8999-999999999999",
"name": "Release Reporter"
},
"workspaceMode": "MANAGED",
"summary": {
"activeRunCount": 1,
"queuedInboxCount": 3,
"attachedPluginCount": 2
}
}Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
Response
200 - application/json
Agent definition.
Show child attributes
Show child attributes
Example:
{
"agentId": "99999999-9999-4999-8999-999999999999",
"name": "Release Reporter"
}
Workspace source shown by agent overview clients.
Available options:
MANAGED, EXISTING Example:
"MANAGED"
Operational summary for the agent.
Show child attributes
Show child attributes
Example:
{
"activeRunCount": 1,
"queuedInboxCount": 3,
"attachedPluginCount": 2
}
⌘I
Get an Agent overview
curl --request GET \
--url https://api.revoengine.com/api/v1/agents/{agentId}/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/agents/{agentId}/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/{agentId}/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agent": {
"agentId": "99999999-9999-4999-8999-999999999999",
"name": "Release Reporter"
},
"workspaceMode": "MANAGED",
"summary": {
"activeRunCount": 1,
"queuedInboxCount": 3,
"attachedPluginCount": 2
}
}
